textureReference(3)

NAME
textureReference -

SYNOPSIS

  Data Fields

enum cudaTextureAddressMode addressMode [3]
struct cudaChannelFormatDesc channelDesc
enum cudaTextureFilterMode filterMode
unsigned int maxAnisotropy
float maxMipmapLevelClamp
float minMipmapLevelClamp
enum cudaTextureFilterMode mipmapFilterMode
float mipmapLevelBias
int normalized

Detailed Description

CUDA texture reference

Field Documentation

  enum cudaTextureAddressMode textureReference::addressMode[3]

Texture address mode for up to 3 dimensions

  struct cudaChannelFormatDesc textureReference::channelDesc [read]

Channel descriptor for the texture reference

  enum cudaTextureFilterMode textureReference::filterMode

Texture filter mode

  unsigned int textureReference::maxAnisotropy

Limit to the anisotropy ratio

  float textureReference::maxMipmapLevelClamp

Upper end of the mipmap level range to clamp access to

  float textureReference::minMipmapLevelClamp

Lower end of the mipmap level range to clamp access to

  enum cudaTextureFilterMode textureReference::mipmapFilterMode

Mipmap filter mode

  float textureReference::mipmapLevelBias

Offset applied to the supplied mipmap level

  int textureReference::normalized

Indicates whether texture reads are normalized or not

Author

Generated automatically by Doxygen from the source code.